%define         major 0
%define         libname %mklibname de265_ %{major}
%define         devname %mklibname de265 -d

%define         extra 20190412_git0aecb47

%define		rel 1

Name:           libde265
Version:        1.0.3
Release:        %mkrel %{?extra:0.%extra.}%{rel}
Summary:        Open h.265 video codec implementation
Group:          System/Libraries
License:        LGPLv2 and GPLv2
URL:            https://github.com/strukturag/libde265
Source0:        https://github.com/strukturag/libde265/archive/master/%{name}-%{version}%{?extra:-%{extra}}.tar.gz

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(x265)

%description
libde265 is an open source implementation of the h.265 video codec. It is
written from scratch and has a plain C API to enable a simple integration
into other software.

libde265 supports WPP and tile-based multithreading and includes SSE
optimizations. The decoder includes all features of the Main profile and
correctly decodes almost all conformance streams.

%package        -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       de265-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 1.0.3-0.20181016_git4488ae0.2

%description    -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package        -n %{libname}
Summary:        Library files for %{name}
Group:          System/Libraries
Conflicts:      %{name} < 1.0.3-0.20181016_git4488ae0.2

%description    -n %{libname}
The %{libname} package contains the libraries for %{name}.

%prep
%autosetup -n %{name}-master

%build
./autogen.sh
%configure2_5x --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.*a' -delete

%files
%doc AUTHORS ChangeLog NEWS README.md
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*%{name}*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/*%{name}*.so
%{_libdir}/pkgconfig/libde265.pc



%changelog
* Fri Apr 12 2019 kekepower <kekepower> 1.0.3-0.20190412_git0aecb47.1.mga7
+ Revision: 1389471
- Update to release 20190412_git0aecb47

* Tue Oct 23 2018 wally <wally> 1.0.3-0.20181016_git4488ae0.5.mga7.tainted
+ Revision: 1324697
- obsolete old wrongly named devel pkg

* Wed Oct 17 2018 daviddavid <daviddavid> 1.0.3-0.20181016_git4488ae0.4.mga7.tainted
+ Revision: 1321279
- devel pkg requires main lib pkg
- add some missing Provides and Group

* Tue Oct 16 2018 kekepower <kekepower> 1.0.3-0.20181016_git4488ae0.3.mga7.tainted
+ Revision: 1321219
- Remove unneccesary Requires

* Tue Oct 16 2018 kekepower <kekepower> 1.0.3-0.20181016_git4488ae0.2.mga7.tainted
+ Revision: 1321167
- Fix devel and library packages

* Tue Oct 16 2018 kekepower <kekepower> 1.0.3-0.20181016_git4488ae0.1.mga7.tainted
+ Revision: 1320979
- imported package libde265

